matrix:
  platform:
    - debian11
    - macos
    - macos_arm64
    - ubuntu2004
    - ubuntu2204
    - ubuntu2404
    - windows
  bazel: [7.x, 8.x, 9.*, rolling]
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_flags:
      - '--cxxopt=-std=c++17'
      - '--process_headers_in_dependencies'
      - '--@boost.mqtt5//:ssl=openssl'
    build_targets:
      - '@boost.mqtt5//:boost.mqtt5'
